tfa-layerscape: build fiptool again
authorAdrian Schmutzler <freifunk@adrianschmutzler.de>
Sat, 20 Feb 2021 18:18:12 +0000 (19:18 +0100)
committerAdrian Schmutzler <freifunk@adrianschmutzler.de>
Sun, 21 Feb 2021 12:55:30 +0000 (13:55 +0100)
commit1b46554895d3933d4b94f37f6f916908cb9ad763
tree95f78afa5e682345e6e907134983f58f1f1612ce
parent8cb50639c771274f21b880474c0b2e0fe202b42f
tfa-layerscape: build fiptool again

The ls-ddr-phy package needs fiptool options that are not
available via the version from arm-trusted-firmware-tools.
This breaks build for layerscape with the recently added LX2160a:

  create: unrecognized option '--ddr-immem-udimm-1d'

Use the tfa-layerscape variant again for now, but rename it to
fiptool-layerscape to indicate that it's a specific variant.

This reverts 84bc7d31e0a8 ("tfa-layerscape: don't build fiptool").

Fixes: f59d7aab2a37 ("layerscape: add ddr-phy package")

Signed-off-by: Adrian Schmutzler <freifunk@adrianschmutzler.de>
(cherry picked from commit 910b5d669f907656c6af14242db2482be6a79323)
package/boot/tfa-layerscape/Makefile
package/firmware/layerscape/ls-ddr-phy/Makefile